• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Problem starting Jboss AS 5.0

 
Marcel Jacome
Greenhorn
Posts: 26
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi guys, I am turning to you because I cannot start Jboss AS 5.0 under Windows Vista.

THis is what i get




I have set all the environment variables correctly , maybe there is a simple solution to it. Thanks in advance.


 
Ninad Kulkarni
Ranch Hand
Posts: 802
Hibernate Linux Spring
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
See Test Your Installation
JBoss AS5 Installation and Getting Started Guide

Show path setting message using echo %path% or echo $path according to your operating system
 
Marcel Jacome
Greenhorn
Posts: 26
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi , this is what i get

C:\jboss-5.0.0.CR2\bin>echo %path%
C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Program Files\Common
Files\Roxio Shared\DLLShared\;C:\Program Files\Common Files\Roxio Shared\DLLShar
ed\;C:\Program Files\Common Files\Roxio Shared\9.0\DLLShared\;C:\Program Files\Q
uickTime\QTSystem\;C:\Program Files\ESTsoft\ALZip\;C:\wamp\bin\phpC:\Program Fil
es\WinSCP3\;C:\Program Files\Subversion\bin;C:\jdk1.1.8\bin;C:\HP\BIN;C:\Program
Files\ESTsoft\ALZip\

Thanks very much for your help
 
Jaikiran Pai
Marshal
Pie
Posts: 10444
227
IntelliJ IDE Ubuntu
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
JAVA: C:\jdk1.1.8\\bin\java


You are using JDK 1.1.8? JBoss AS-5 requires a minimum of Java-5 to get it running. And by the way, i would recommend that you use the latest stable 5.1.0 version of JBoss AS instead of the 5.0.0.CR2.
 
Marcel Jacome
Greenhorn
Posts: 26
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I switched to jdk1.5 and got past the illegal argument condition but i now i get this while running with the following at the command line


run -c default

It runs perfectly with the minimal configuration though


00:35:05,329 INFO [WebService] Using RMI server codebase: http://127.0.0.1:8083
/
00:35:10,474 WARN [ClassLoaderManager] Unexpected error during load ofrg.jbos
s.resource.metadata.repository.DefaultJCAMetaDataRepository
java.lang.UnsupportedClassVersionError: Bad version number in .class file
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:620)
at org.jboss.classloader.spi.base.BaseClassLoader.access$200(BaseClassLo
ader.java:62)
at org.jboss.classloader.spi.base.BaseClassLoader$2.run(BaseClassLoader.
java:504)
at org.jboss.classloader.spi.base.BaseClassLoader$2.run(BaseClassLoader.
java:464)






Thanks guys again.
 
Kuldip Shetty
Ranch Hand
Posts: 43
Eclipse IDE Java
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Reinstall JBoss to verify if the issue still exists.

Kuldip
 
Jaikiran Pai
Marshal
Pie
Posts: 10444
227
IntelliJ IDE Ubuntu
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Marcel Jacome wrote:I switched to jdk1.5 and got past the illegal argument condition but i now i get this while running with the following at the command line








JBoss AS-5 comes into variants. One which is compiled with JDK-6 and one compiled with JDK-5. Looks like you downloaded the JDK-6 compiled version and are running it against JDK-5. That won't work. You will either have to download JDK-6 and use it against this AS or you will have to download the JDK-5 compiled AS.
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic